KDE 4.3 PyKDE API Reference

- KDE's Python API

# GeoDataPolygonPrivate Class Reference

`from PyKDE4.marble import *`

Inherits: Marble.GeoDataGeometryPrivate
Namespace: Marble

## Detailed Description

## Attributes

QVector<Marble::GeoDataLinearRing> | inner
bool | m_dirtyBox
Marble.TessellationFlags | m_tessellationFlags
Marble.GeoDataLinearRing | outer

## Methods

| __init__ (self, Marble.TessellationFlags f)
| __init__ (self)
Marble.GeoDataGeometryPrivate | copy (self)
EnumGeometryId | geometryId (self)

## Method Documentation

__init__ | ( | self, |
|  | Marble.TessellationFlags | f
| ) |  |  |

__init__ | ( |  | self ) |

Marble.GeoDataGeometryPrivate copy | ( |  | self ) |

EnumGeometryId geometryId | ( |  | self ) |

## Attribute Documentation

QVector<Marble::GeoDataLinearRing> inner

bool m_dirtyBox

Marble.TessellationFlags m_tessellationFlags

Marble.GeoDataLinearRing outer